%define oname	muParser

%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Summary:	A fast math parser library
Name:		muparser
Version:	2.2.5
Release:	%mkrel 6
Epoch:          1
License:	MIT
Group: 		System/Libraries
URL:		http://muparser.beltoforion.de/
Source0:	https://github.com/beltoforion/muparser/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0001:	0001-fix-comments.patch
Patch0002:      0002-fix-gcc-warning-about-undeclared-funcitons.patch
Patch0003:      0003-Add-cmake-build-system.patch
Patch0004:      0004-Add-option-to-disable-samples.patch
Patch0005:      0005-CMake-fixes-for-packaging.patch
Patch0006:      0006-Move-static-const-definition-to-cpp-file.patch
Patch0007:      0007-Add-the-option-to-enable-OpenMP.patch
Patch0008:      0008-Add-the-test-target.patch
Patch0009:      0009-Trivial-misc.-typo-fixes.patch
Patch0010:      0010-Fix-switch-default-cases.patch
Patch0011:      0011-Fix-long-comment-warning.patch
Patch0012:      0012-Enable-compiler-warnings-by-default.patch
Patch0013:      0013-Fix-dll-install-directory.patch
Patch0014:      0014-Add-travis-config-file-for-CI.patch
Patch0015:      0015-Add-appveyor-config.patch
Patch0016:      0016-Enhance-CMakeLists.txt.patch
Patch0017:      0017-Misc-cmake-fixes.patch
Patch0018:      0018-Fix-compile-definitions.patch
Patch0019:      0019-Fix-static-build-on-Windows.patch
Patch0020:      0020-Convert-DOS-EOLs.patch
Patch0021:      0021-Remove-non-ascii-characters.patch
Patch0022:      0022-Fix-warnings.patch
Patch0023:      0023-started-to-remove-old-build-system.patch
Patch0024:      0024-vs-folder-renamed.patch
Patch0025:      0025-Replace-std-auto_ptr-by-std-unique_ptr.patch
Patch0026:      0026-Require-C-11.patch
Patch0027:     	0027-Disable-build-for-MSVC-2008.patch

%description
muParser is an extensible high performance math parser library. It is
based on transforming an expression into a bytecode and precalculating
constant parts of it.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains library files of muParser.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{oname}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{oname}-devel < 2.2.3

%description -n %{devname}
This package contains development files need to develop applications
based on muParser.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--enable-shared=yes
%make_build lib
%make_build

%install
%make_install

%files -n %{libname}
%doc Changes.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
#doc docs/html
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h


%changelog
* Sun Jun 28 2020 joequant <joequant> 1:2.2.5-6.mga8
+ Revision: 1599943
- remove arm workaround

* Thu Feb 13 2020 umeabot <umeabot> 1:2.2.5-5.mga8
+ Revision: 1515260
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:2.2.5-4.mga7
+ Revision: 1299650
- Mageia 7 Mass Rebuild

* Tue May 15 2018 wally <wally> 1:2.2.5-3.mga7
+ Revision: 1229709
- add patches from upstream git (to fix build)
- drop old patches
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 1:2.2.5-2.mga6
+ Revision: 956190
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 1:2.2.5-1.mga6
+ Revision: 868273
- new version 2.2.5
- use source tarball from github

* Wed Oct 15 2014 umeabot <umeabot> 1:2.2.3-5.mga5
+ Revision: 746703
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.2.3-4.mga5
+ Revision: 727374
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.2.3-3.mga5
+ Revision: 682699
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 wally <wally> 1:2.2.3-2.mga5
+ Revision: 634202
- obsolete wrongly imported muParser-devel

* Fri Jun 06 2014 wally <wally> 1:2.2.3-1.mga5
+ Revision: 634194
- new version 2.2.3
- new lib major 2
- update URL
- clean .spec

* Fri Oct 18 2013 umeabot <umeabot> 1:1.32-4.mga4
+ Revision: 518071
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:1.32-3.mga3
+ Revision: 360506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 16 2012 mikala <mikala> 1:1.32-2.mga2
+ Revision: 235751
- Fix Requires on -devel package

* Tue May 15 2012 dmorgan <dmorgan> 1:1.32-1.mga2
+ Revision: 235724
- Downgrade to version 1.32:
 - 1.34 broke scidavis & qtiplot  ( mga #1251, & upstream #3298663)
 - only used with thoses 2 programs so it's easier to downgrade since mdv2010.1 is providing 1.32 too

* Fri Sep 09 2011 tv <tv> 1.34-1.mga2
+ Revision: 141795
- new release

* Thu May 12 2011 mikala <mikala> 1.32-3.mga1
+ Revision: 97557
- Downgrade to version 1.32:
 - 1.34 broke scidavis & qtiplot  ( mga #1251, & upstream #3298663)
 - only used with thoses 2 programs so it's easier to downgrade since mdv2010.1 is providing 1.32 too

* Mon May 02 2011 mikala <mikala> 1.34-2.mga1
+ Revision: 94220
- Remove BuildRoot tag
- remove mdk macros
- imported package muparser

